Subject: Re: bug#63627: Improve plstore.el and fix various issues of it

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Sep 2023 12:12:14 +0300

> Date: Mon, 4 Sep 2023 00:22:52 +0200
> Cc: [email-masked]
> From: Jens Schmidt <[email-masked]>
> 
> Please let your eyes rest in particular on lines 310 and following of
> test/lisp/plstore-tests.el, where I have tried to detect and avoid
> hangs related to GnuPG 2.4.*.

Looks reasonable.

> I have executed the new tests on GNU/Linux only, since that is the only
> platform I have available.  Should I take extra steps to get these tests
> executed on other platforms than GNU/Linux *before* you commit them?  If
> yes, which steps?

I think GNU/Linux alone is good enough.

If the changeset is now ready to be installed on master, please tell.

> The rest of the tests should be more or less standard.  Except
> probably for the fact that there is still much infrastructure and few
> actual tests, but I plan to change that.

This seems to imply that you are still working on this changeset?